#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wifiscan.ui'
**
** Created: 2012-07-31T03:38:10
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wifiscan.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a WifiScan as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WifiScan::WifiScan( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WifiScan" );
    WifiScanLayout = new QGridLayout( this, 1, 1, 11, 6, "WifiScanLayout"); 

    lstNetworks = new QListView( this, "lstNetworks" );
    lstNetworks->addColumn( tr2i18n( "Available networks" ) );

    WifiScanLayout->addMultiCellWidget( lstNetworks, 0, 0, 0, 3 );

    btnClose = new QPushButton( this, "btnClose" );

    WifiScanLayout->addWidget( btnClose, 1, 3 );

    btnConnect = new QPushButton( this, "btnConnect" );

    WifiScanLayout->addWidget( btnConnect, 1, 0 );

    btnDetails = new QPushButton( this, "btnDetails" );

    WifiScanLayout->addWidget( btnDetails, 1, 1 );

    btnRescan = new QPushButton( this, "btnRescan" );

    WifiScanLayout->addWidget( btnRescan, 1, 2 );
    languageChange();
    resize( QSize(526, 311).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WifiScan::~WifiScan()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WifiScan::languageChange()
{
    setCaption( tr2i18n( "WifiScan" ) );
    lstNetworks->header()->setLabel( 0, tr2i18n( "Available networks" ) );
    btnClose->setText( tr2i18n( "Close" ) );
    btnConnect->setText( tr2i18n( "Connect" ) );
    btnDetails->setText( tr2i18n( "Details" ) );
    btnRescan->setText( tr2i18n( "Rescan" ) );
}

#include "wifiscan.moc"
